Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 399)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 400)
@@ -9821,5 +9821,45 @@
 
         // ---------- ※．データコンバートロジック↑↑
         #endregion
+
+        #region ※．テストロジック↓↓
+        // ---------- ※．テストロジック↓↓
+
+        private void TestDataTest()
+        {
+            IOConstructionLedger LedgerDB = new IOConstructionLedger();
+            IOConstructionLedgerExcute ExecDB = new IOConstructionLedgerExcute();
+            try
+            {
+                LedgerDB.connect(); LedgerDB.beginTran();
+                ExecDB.connect(); ExecDB.beginTran();
+
+                bool bret = ClsChangeLedgerData.ModifyReceiveMoney(LedgerDB
+                                                , ExecDB
+                                                , m_ConstructionCode
+                                                , "2018/10"
+                                                , 100000);
+
+                if (!bret)
+                {
+                    LedgerDB.rollback();
+                    ExecDB.rollback();
+                }
+
+                LedgerDB.commit();
+                ExecDB.commit();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                LedgerDB.close(); LedgerDB = null;
+                ExecDB.close(); ExecDB = null;
+            }
+        }
+        // ---------- ※．テストロジック↑↑
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CopyTargetList/FrmNewOrContinueCopy.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CopyTargetList/FrmNewOrContinueCopy.Designer.cs	(revision 399)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CopyTargetList/FrmNewOrContinueCopy.Designer.cs	(revision 400)
@@ -117,7 +117,7 @@
             // 
             // groupBox2
             // 
-            this.groupBox2.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.groupBox2.BackColor = System.Drawing.Color.LightGray;
             this.groupBox2.Controls.Add(this.panel5);
             this.groupBox2.Controls.Add(this.panel4);
             this.groupBox2.Controls.Add(this.panel3);
@@ -132,7 +132,8 @@
             // 
             // panel5
             // 
-            this.panel5.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.panel5.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.panel5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.panel5.Controls.Add(this.label18);
             this.panel5.Controls.Add(this.label17);
             this.panel5.Controls.Add(this.radioButton4);
@@ -179,7 +180,8 @@
             // 
             // panel4
             // 
-            this.panel4.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.panel4.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.panel4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.panel4.Controls.Add(this.label16);
             this.panel4.Controls.Add(this.radioButton3);
             this.panel4.Controls.Add(this.label15);
@@ -226,7 +228,8 @@
             // 
             // panel3
             // 
-            this.panel3.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.panel3.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.panel3.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.panel3.Controls.Add(this.label5);
             this.panel3.Controls.Add(this.label8);
             this.panel3.Controls.Add(this.radioButton2);
@@ -273,7 +276,8 @@
             // 
             // panel2
             // 
-            this.panel2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.panel2.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.panel2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.panel2.Controls.Add(this.label1);
             this.panel2.Controls.Add(this.label6);
             this.panel2.Controls.Add(this.radioButton1);
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 399)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 400)
@@ -35,6 +35,9 @@
                 m_WindowWidth = this.Width;
                 m_WindowHeight = this.Height;
 
+                // 製品版は以下を処理しない
+                if (ProductDefine.ProductType != (int)ProductDefine.ProductTypeDef.Originals) return;
+
                 bool bDspFlag = false;
                 // 最高管理者以外は共通費計算画面を表示しない
                 int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;   // 経営者アクセス
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 399)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 400)
@@ -657,28 +657,7 @@
                     if (CommonMotions.chkObjectIsNull(RowData.Cells[(int)GridItemColumn.ComponentCode].Value)) return false;
                     if (!CommonMotions.chkNumeric(RowData.Cells[(int)GridItemColumn.ComponentCode].Value)) return false;
                 }
-                //// 名前チェック
-                //if (ProcessCommon.chkObjectIsNull(chkFeild[0]) && ProcessCommon.chkObjectIsNull(chkFeild[1])) return false;
-                //if (chkFeild[0].ToString().Trim() == "" && chkFeild[1].ToString().Trim() == "") return false;
 
-                //if (bNumCheck)
-                //{
-                //    // 数量
-                //    if (!ProcessCommon.chkObjectIsNull(chkFeild[4]))
-                //    {
-                //        if (!ProcessCommon.chkNumeric(chkFeild[4].ToString())) return false;
-                //    }
-                //    // 単価
-                //    if (!ProcessCommon.chkObjectIsNull(chkFeild[5]))
-                //    {
-                //        if (!ProcessCommon.chkNumeric(chkFeild[5].ToString())) return false;
-                //    }
-                //    // 金額
-                //    if (!ProcessCommon.chkObjectIsNull(chkFeild[6]))
-                //    {
-                //        if (!ProcessCommon.chkNumeric(chkFeild[6].ToString())) return false;
-                //    }
-                //}
                 return true;
             }
             catch (Exception ex)
@@ -2291,7 +2270,7 @@
                 // チェック有ページでも金額が無ければ処理しない
                 if (lAmount == 0) return bRet;
 
-                if (dCnt > 0 && strUnitName.Length > 0)
+                if (dCnt != 0 && strUnitName.Length > 0)
                 {
                     // 両方とも入っていれば正常
                 }
@@ -5425,15 +5404,17 @@
             try
             {
                 // まず削除する
-                string DelSQL = edDB.CreatePrimarykeyString(CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-"));
+                int nConstrCode = CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-");
+                string DelSQL = edDB.CreatePrimarykeyString(nConstrCode);
                 // データがある場合
                 // データ更新
                 edDB.DeleteAction(DelSQL, false);
 
+                List<EstimateData> workList = new List<EstimateData>();
                 int iLinecount = 0;
                 foreach (DataGridViewRow wrkRows in dgvEntryData.Rows)
                 {
-                    List<EstimateData> workList = new List<EstimateData>();
+
                     EstimateData work = new EstimateData();
 
                     // 無効行は処理しない
@@ -5440,7 +5421,7 @@
                     if (!ChkGridLineEffectiveness(wrkRows)) continue;
 
                     // 工事コード
-                    work.ConstructionCode = CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-");
+                    work.ConstructionCode = nConstrCode;
 
                     // 行番号
                     work.LineCount = ++iLinecount;
@@ -5486,14 +5467,16 @@
                     if (!CommonMotions.chkObjectIsNull(wrkRows.Cells[(int)GridTotalColumn.InputFlg].Value))
                         work.InputFlg = CommonMotions.cnvInt(wrkRows.Cells[(int)GridTotalColumn.InputFlg].Value);
 
-                    // データ登録
-                    if (!edDB.InsertAction(work, false))
-                    {
-                        LogicalErrorMessage("積算見積データ：登録に失敗しました。", "登録エラー", CommonMotions.GetMethodName());
-                        return false;
-                    }
+                    workList.Add(work);
                 }
 
+                // データ登録
+                if (!edDB.InsertAction(workList, false))
+                {
+                    LogicalErrorMessage("積算見積データ：登録に失敗しました。", "登録エラー", CommonMotions.GetMethodName());
+                    return false;
+                }
+
                 return true;
             }
             catch (System.Exception ex)
@@ -5513,21 +5496,21 @@
             try
             {
                 // まず削除する
-                string DelSQL = edbDB.CreatePrimarykeyString(CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-"));
+                int nConstrCode = CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-");
+                string DelSQL = edbDB.CreatePrimarykeyString(nConstrCode);
                 // データがある場合
                 // データ更新
                 edbDB.DeleteAction(DelSQL, false);
 
+                List<EstimateDataBody> workList = new List<EstimateDataBody>();
                 // タブ数分処理を行う
                 for (int iTabs = 1; iTabs < m_EntryPage.Count; iTabs++)
                 {
-
                     // データ定義
-                    List<EstimateDataBody> workList = new List<EstimateDataBody>();
                     EstimateDataBody work = new EstimateDataBody();
 
                     // 工事コード
-                    work.ConstructionCode = CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-");
+                    work.ConstructionCode = nConstrCode;
 
                     // ページ番号
                     work.PageCount = iTabs;
@@ -5549,14 +5532,9 @@
                     string wrkCompornent = m_EntryPage[iTabs].EntryLabel[(int)PageLabelCount.ComponentLabel].Text.ToString();
                     if (m_EntryPage[iTabs].Cotegory == CommonDefine.TabCotegory.Item)
                     {
-                        //work.SelectComponent = CommonMotions.GetArrayStructureName(wrkCompornent.Substring(wrkCompornent.IndexOf(CompornentDelimiter) + 1));
                         work.SelectComponent = m_EntryPage[iTabs].BelongingToComponentCode;
                     }
 
-                    // ページ表示名
-                    //string wrkTitle = m_EntryPage[iTabs].EntryLabel[(int)PageLabelCount.ItemLabel].Text.ToString();
-                    //work.PageTitle = wrkTitle.Substring(wrkTitle.IndexOf(CompornentDelimiter) + 1);
-
                     work.PageTitle = m_EntryPage[iTabs].EntryTab.Text.Trim();
 
                     // 明細行番号
@@ -5572,14 +5550,16 @@
                     }
                     work.DetailLineCount = fromRow;
 
+                    workList.Add(work);
+                } // iTabs
 
-                    // データ登録
-                    if (!edbDB.InsertAction(work, false))
-                    {
-                        LogicalErrorMessage("登録に失敗しました。", "登録エラー", CommonMotions.GetMethodName());
-                        return false;
-                    }
-                } // iTabs
+                // データ登録
+                if (!edbDB.InsertAction(workList, false))
+                {
+                    LogicalErrorMessage("登録に失敗しました。", "登録エラー", CommonMotions.GetMethodName());
+                    return false;
+                }
+
                 return true;
             }
             catch (System.Exception ex)
@@ -5599,30 +5579,34 @@
             try
             {
                 // まず削除する
-                string DelSQL = eddDB.CreatePrimarykeyString(CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-"));
+                int nConstrCode = CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-");
+                string DelSQL = eddDB.CreatePrimarykeyString(nConstrCode);
                 // データがある場合
                 // データ更新
                 eddDB.DeleteAction(DelSQL, false);
 
+                List<EstimateDataDetail> workList = new List<EstimateDataDetail>();
                 // タブ数分処理を行う
                 for (int iTabs = 1; iTabs < m_EntryPage.Count; iTabs++)
                 {
                     DataGridViewEX wrkGrid = m_EntryPage[iTabs].EntryDGV;
-                    for (int iRows = 0; iRows < wrkGrid.RowCount; iRows++)
+                    //for (int iRows = 0; iRows < wrkGrid.RowCount; iRows++)
+                    bool bDataOn = false;
+                    for (int iRows = (wrkGrid.RowCount - 1); iRows >= 0; iRows--)
                     {
                         // 行データ定義
                         DataGridViewRow wrkRows = wrkGrid.Rows[iRows];
 
                         // データ定義
-                        List<EstimateDataDetail> workList = new List<EstimateDataDetail>();
                         EstimateDataDetail work = new EstimateDataDetail();
 
                         // データセット
                         // 無効行は処理しない
-                        if (!ChkGridLineEffectiveness(wrkRows)) continue;
+                        if (!bDataOn && !ChkGridLineEffectiveness(wrkRows)) continue;
 
+                        bDataOn = true;
                         // 工事コード
-                        work.ConstructionCode = CommonMotions.cnvIntFromStringCode(m_dispLabelControl[(int)DispLabel.ConstructionCode].Text, "-");
+                        work.ConstructionCode = nConstrCode;
 
                         // ページ番号
                         work.PageCount = iTabs;
@@ -5696,14 +5680,16 @@
                             if (!CommonMotions.chkObjectIsNull(wrkRows.Cells[(int)GridComponentColumn.InputFlg].Value))
                                 work.InputFlg = CommonMotions.cnvInt(wrkRows.Cells[(int)GridComponentColumn.InputFlg].Value);
                         }
-                        // データ登録
-                        if (!eddDB.InsertAction(work, false))
-                        {
-                            LogicalErrorMessage("登録に失敗しました。", "登録エラー", CommonMotions.GetMethodName());
-                            return false;
-                        }
+                        workList.Add(work);
                     } // iRows
                 } // iTabs
+
+                // データ登録
+                if (!eddDB.InsertAction(workList, false))
+                {
+                    LogicalErrorMessage("登録に失敗しました。", "登録エラー", CommonMotions.GetMethodName());
+                    return false;
+                }
                 return true;
             }
             catch (System.Exception ex)
